package eclipse.workbench.iadaptableexample3;

import org.eclipse.core.runtime.Plugin;
import org.osgi.framework.BundleContext;

/**
 * @author Mickael BARON (baron.mickael@gmail.com)
 * 
 * Date : august 2009
 */
public class Activator extends Plugin {

	// The plug-in ID
	public static final String PLUGIN_ID = "eclipse.workbench.IAdaptableExample3";

	// The shared instance
	private static Activator plugin;
	
	private ContactManager refManager;
	
	/**
	 * The constructor
	 */
	public Activator() {
		refManager = new ContactManager();
	}

	/*
	 * (non-Javadoc)
	 * @see org.eclipse.core.runtime.Plugins#start(org.osgi.framework.BundleContext)
	 */
	public void start(BundleContext context) throws Exception {
		super.start(context);
		plugin = this;
	}

	/*
	 * (non-Javadoc)
	 * @see org.eclipse.core.runtime.Plugin#stop(org.osgi.framework.BundleContext)
	 */
	public void stop(BundleContext context) throws Exception {
		plugin = null;
		super.stop(context);
	}

	/**
	 * Returns the shared instance
	 *
	 * @return the shared instance
	 */
	public static Activator getDefault() {
		return plugin;
	}

	public Object getContactManager() {
		return refManager;
	}
}
